Page MenuHomePhabricator

Replace upstart with systemd unit in ::trafficserver
Closed, ResolvedPublic

Description

service { 'trafficserver':
    ensure    => running,
    enable    => true,
    provider  => 'upstart',
    require   => [
        File["${deploy_dir}/bin/traffic_server"],
        File['/etc/init/trafficserver.conf'],
    ],
    subscribe => [
        File["${deploy_dir}/etc/trafficserver/records.config"],
        File["${deploy_dir}/etc/trafficserver/remap.config"],
        File["${deploy_dir}/etc/trafficserver/cache.config"],
        File["${deploy_dir}/etc/trafficserver/regex_remap.config"],
        File["${deploy_dir}/etc/trafficserver/plugin.config"],
        File["${deploy_dir}/etc/trafficserver/cacheurl.config"],
        File["${deploy_dir}/etc/trafficserver/header_rewrite.config"],
    ],
}

Event Timeline

bd808 created this task.Dec 29 2016, 5:20 AM
bd808 added a subscriber: Gilles.Dec 29 2016, 5:37 AM

Patches should be submitted to the jessie-migration gerrit branch.

Gilles claimed this task.Jan 2 2017, 8:54 AM
Gilles added a project: Performance-Team.
Gilles lowered the priority of this task from High to Lowest.Jan 31 2017, 2:48 PM

This role has never really been used. I'm running into an issue when trying to port it to Jessie, but I think it might be due to another role. At any rate, I think I'm going to delete the role for now since it's not used.

Change 335234 had a related patch set uploaded (by BryanDavis):
Delete trafficserver role

https://gerrit.wikimedia.org/r/335234

Change 335234 merged by jenkins-bot:
Delete trafficserver role

https://gerrit.wikimedia.org/r/335234

Krinkle closed this task as Resolved.Feb 1 2017, 3:13 AM